Bug 1260292 - Microcode SW error detected with Intel 6235 WiFi
Microcode SW error detected with Intel 6235 WiFi
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: iwlwifi-firmware (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-05 12:29 EDT by Stan King
Modified: 2016-07-24 14:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:47:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Excerpt of /var/log/messages showing error, hostname redacted. (6.36 KB, text/plain)
2015-09-05 12:29 EDT, Stan King
no flags Details
dmesg command output covering the system start-up (62.38 KB, text/plain)
2015-09-05 12:31 EDT, Stan King
no flags Details

  None (edit)
Description Stan King 2015-09-05 12:29:53 EDT
Created attachment 1070511 [details]
Excerpt of /var/log/messages showing error, hostname redacted.

Description of problem:

Lately I've seen occasional "Microcode SW error" message issued by the iwlwifi interface.  It may be similar to bug 1062837, although in my case, the recovery is successful.  The first few lines of the error report are:

Sep  5 03:46:38 ... kernel: iwlwifi 0000:0b:00.0: Microcode SW error detected.  Restarting 0x82000000.
Sep  5 03:46:38 ... kernel: iwlwifi 0000:0b:00.0: CSR values:
Sep  5 03:46:38 ... kernel: iwlwifi 0000:0b:00.0: (2nd byte of CSR_INT_COALESCING is CSR_INT_PERIODIC_REG)
Sep  5 03:46:38 ... kernel: iwlwifi 0000:0b:00.0:        CSR_HW_IF_CONFIG_REG: 0X00484b00
Sep  5 03:46:38 ... kernel: iwlwifi 0000:0b:00.0:          CSR_INT_COALESCING: 0X0000ff40

I'll attempt to attach the detailed messages, and the dmesg output from the system startup.

Version-Release number of selected component (if applicable):

Firmware version 18.168.6.1 for Intel 6235 wireless.

How reproducible:

Error occurs sporadically, every one or two days, usually when the system is not is use.  It appears most frequently when connected to a 2.4 GHz access point.  The 2.4 GHz wireless environment here is relatively crowded.

Steps to Reproduce:
1. Boot system, connect to 2.4 GHz access point.
2. Wait.
3.

Actual results:

Errors, as described above.

Expected results:

No errors.

Additional info:
Comment 1 Stan King 2015-09-05 12:31:01 EDT
Created attachment 1070512 [details]
dmesg command output covering the system start-up
Comment 2 Fedora End Of Life 2016-07-19 13:47:16 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Stan King 2016-07-24 14:11:33 EDT
As a note to anyone who might re-open this, I no longer have this hardware, so I would not be able to verify a fix.

Note You need to log in before you can comment on or make changes to this bug.